#language: ru

@milk_reception

Функционал: 01_milk_reception.01.013 Заполнение справочника Точки доставки

Сценарий: 01_milk_reception.01.013 Создание 1 точки
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Точки доставки'
	Тогда открылось окно 'Точки доставки'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Точка доставки (создание)'
	И в поле 'Наименование' я ввожу текст 'milk_rec_Точка 1'
	И я нажимаю кнопку выбора у поля "Контрагент"
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Поставщик 1'  |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Точка доставки (создание) *'
	И я нажимаю кнопку выбора у поля "Менеджер"
	Тогда открылось окно 'Выбор пользователя'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Точка доставки (создание) *'
	И я перехожу к закладке "Логистика"
	И в поле 'Длительность доставки, дней' я ввожу текст '4'
	И я нажимаю кнопку выбора у поля "Склад отгрузки"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    		  |
		| 'milk_rec_Склад с ячейками' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Точка доставки (создание) *'
	И в таблице "УточненияПоОтгрузке" я нажимаю на кнопку 'Добавить'
	И в таблице "УточненияПоОтгрузке" из выпадающего списка "Товарная категория" я выбираю по строке 'milk_rec_Товарная категория'
	И я перехожу к следующему реквизиту
	И в таблице "УточненияПоОтгрузке" я нажимаю кнопку выбора у реквизита "Товарная категория"
	Тогда открылось окно 'Товарные категории'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Точка доставки (создание) *'
	И в таблице "УточненияПоОтгрузке" я нажимаю кнопку выбора у реквизита "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'          			      |
		| 'milk_rec_Склад с ячейками и контролем' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Точка доставки (создание) *'
	И я перехожу к закладке "Контактная информация"
	И в поле 'Адрес' я ввожу текст 'ыаввтпп'
	И в поле 'Телефон' я ввожу текст '2524545'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Точка доставки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Точки доставки'
	И Я закрываю окно 'Точки доставки'	
	И Я закрыл все окна клиентского приложения